MSW1ParserInternal::PLC Struct Reference

Internal: class to store the PLC: Pointer List Content ? More...

## Public Member Functions

| PLC (PLCType type=UNKNOWN)
| constructor More...

## Public Attributes

PLCType | m_type
| the type More...
int | m_id
| the id More...
std::string | m_extras
| a string used to store the parsing extrass More...

## Friends

std::ostream & | operator<< (std::ostream &o, PLC const &plc)
| operator<< More...

## Detailed Description

Internal: class to store the PLC: Pointer List Content ?

## Constructor & Destructor Documentation

MSW1ParserInternal::PLC::PLC | ( | PLCType | type = `UNKNOWN` | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | PLC const & | plc
| ) |  |

friend

operator<<

## Member Data Documentation

std::string MSW1ParserInternal::PLC::m_extras

a string used to store the parsing extrass

Referenced by MSW1ParserInternal::operator<<().

int MSW1ParserInternal::PLC::m_id

the id

Referenced by MSW1ParserInternal::operator<<(), MSW1Parser::prepareTextZones(), MSW1Parser::readFootnoteCorrespondance(), MSW1Parser::readPageBreak(), MSW1Parser::readPLC(), MSW1Parser::readZones(), and MSW1Parser::sendText().

PLCType MSW1ParserInternal::PLC::m_type

the type

Referenced by MSW1ParserInternal::operator<<(), MSW1Parser::prepareTextZones(), and MSW1Parser::sendText().

The documentation for this struct was generated from the following file:

- MSW1Parser.cxx